[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#363150: marked as done (qmake should not be an alternative)



Your message dated Wed, 20 Jun 2012 11:03:14 +0000
with message-id <E1ShIgs-00078Z-Vq@franck.debian.org>
and subject line Bug#678210: Removed package(s) from unstable
has caused the Debian Bug report #363150,
regarding qmake should not be an alternative
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
363150: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=363150
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: qt3-dev-tools
Version: 3:3.3.6-1
Severity: normal

Currently, qmake is an alternative that points to either qmake-qt3 or
qmake-qt4 depending on administrator preference.  But we have dozens of
packages in the archive that simply call "qmake" to build, and that is
going to lead to failures if someone ever decides to change that
alternative locally: Apparently, trying to build Qt3 packages using
qmake-qt4 and vice versa leads to a hard failure.

We could place the burden on those packages to fix their rules, but that
seems to be the wrong place in my mind.  Generally, handling
non-interactive "file processing" (build) tools through the alternatives
systems is a problem.  We don't do it with gcc, we don't do it with
python, we do it with java and that causes all sorts of problems.  With
qmake, it seems totally wrong because these programs don't do the same
thing: one works and one just fails.

What might work is a wrapper script like autoconf has, that looks at the
sources and decides which version to call.  I can't offer any advice on
how to detect the right version, but maybe someone has an idea.
Alternatively, one version should be the default qmake and there needs
to be a transition sometime.


--- End Message ---
--- Begin Message ---
Version: 3:3.3.8b-11+rm

Dear submitter,

as the package qt-x11-free has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/678210

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)


--- End Message ---

Reply to: